[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.Enabled

Determines whether the button can respond to click events, and how it is displayed.

## Declaration

Source position: comctrls.pp line 2204

`published property TToolButton.Enabled : Boolean;`

## Description

Enabled is a Boolean property which determines whether the tool button can respond to mouse click events at run-time. Enabled, along with Down, Style, and values in the tool bar flags influence how the button is rendered in the Paint method.

The value for the property may be changed in the CopyPropertiesFromMenuItem method, or when the CM_ENABLEDCHANGED control message is handled for the button.

## See also

TControl.Enabled |  | Determines whether the control responds to mouse or keyboard input.